defaults:
  x86_64:
    machine: 64bit
    priority: 50
products:
  smallest-build-x86_64:
    distri: debian-live
    flavor: smallest-build
    version: distribution
  standard-x86_64:
    distri: debian-live
    flavor: standard
    version: distribution
  gnome-x86_64:
    distri: debian-live
    flavor: gnome
    version: distribution
  kde-x86_64:
    distri: debian-live
    flavor: kde
    version: distribution
  cinnamon-x86_64:
    distri: debian-live
    flavor: cinnamon
    version: distribution
  lxde-x86_64:
    distri: debian-live
    flavor: lxde
    version: distribution
  lxqt-x86_64:
    distri: debian-live
    flavor: lxqt
    version: distribution
  mate-x86_64:
    distri: debian-live
    flavor: mate
    version: distribution
  xfce-x86_64:
    distri: debian-live
    flavor: xfce
    version: distribution
  junior-x86_64:
    distri: debian-live
    flavor: junior
    version: distribution
scenarios:
  x86_64:
    smallest-build-x86_64:
    - walk-boot-options:
        machine: 64bit
    standard-x86_64:
    - walk-boot-options:
        machine: [64bit, uefi, uefi_secure]
    - live-build-install_to_HD_with_di:
        machine: 64bit
        priority: 55
    - live-build-postinstall_reboot:
        machine: 64bit
    gnome-x86_64:
    - live-build-install_to_HD_with_di:
        machine: 64bit
        priority: 55
    - live-build-install_to_HD_with_Calamares:
        machine: [64bit, uefi_secure]
        priority: 55
    - live-build-postinstall_browser:
        priority: 55
    - live-build-desktop_browser:
        priority: 31
    - live-desktop_printing:
        priority: 36
    - walk-boot-options:
        machine: [64bit, uefi, uefi_secure_USBboot, uefi_secure, 64bit_USBboot, uefi_USBboot]
    - live-build-apps_startstop:
        priority: 41
    xfce-x86_64: &standardDE
    - walk-boot-options:
        machine: 64bit
    - live-build-install_to_HD_with_di:
        machine: 64bit
        priority: 55
    - live-build-install_to_HD_with_Calamares:
        machine: [64bit, uefi_secure]
        priority: 55
    - live-build-postinstall_browser:
        priority: 55
    - live-build-desktop_browser:
        priority: 31
    - live-desktop_printing:
        priority: 36
    kde-x86_64:
      *standardDE
    cinnamon-x86_64:
      *standardDE
    lxde-x86_64:
      *standardDE
    lxqt-x86_64:
      *standardDE
    mate-x86_64:
      *standardDE
    junior-x86_64:
    - live-build-desktop_browser:
        priority: 31
